# seanut
### _a. fox_

a command line utility to bulk download media from jellyfin servers (e.g., shows, albums, etc)

## Building

1. Install [roswell](https://github.com/roswell/roswell)
2. `$ ros install sbcl-bin/2.3.9 && ros use sbcl-bin/2.3.9`
3. `$ mkdir ~/common-lisp && git clone https://dev.focks.website/focks/seanut ~/common-lisp/seanut`
4. `$ cd ~/common-lisp/seanut && make`

## Running 

```
$ ./seanut --help

Usage: seanut [-h|--help] [--version] [-v|--verbose] [--no-prompt]
              [-q|--quick-connect] [-t|--token TOKEN] [-o|--output DIR] [-m|--media-type TYPE]
              [-u|--username USERNAME] [-p|--password PASSWORD] [-s|--season SEASON] DOMAIN MEDIA-NAME

Available options:
  -h, --help              prints this help
  --version               prints the version
  -v, --verbose           prints file names as they get downloaded
  --no-prompt             assumes yes for all download prompts
  -q, --quick-connect     alternative login method to providing username/password - times out after ~1min
  -t, --token TOKEN       access token - if you do not have one please authenticate first
  -o, --output DIR        location to save downloaded media
  -m, --media-type TYPE   media type to base our query on
  -u, --username USERNAME username for the jellyfin server
  -p, --password PASSWORD password for the jellyfin server
  -s, --season SEASON     specify specific season to download, if downloading a show
```

`$ ./seanut -u Username -p hunter2 -m MusicAlbum -o ~/Downloads/Jellyfin/Media https://your.jellyfin.domain "My Cool Album"`

`$ ./seanut -q -m MusicAlbum -o ~/Downloads/Jellyfin/Media https://your.jellyfin.domain "My Cool Album"`

## License

MIT

