;;;; seanut.asd

(asdf:defsystem #:seanut
  :description "command line utility to grab bulk media (e.g., full shows, full albums) from Jellyfin servers"
  :author "a. fox"
  :license  "MIT"
  :version "0.0.2"
  :serial t
  :depends-on (#:dexador #:with-user-abort #:unix-opts
               #:com.inuoe.jzon #:babel #:ironclad #:quri
               #:alexandria #:str)
  :components ((:file "package")
               (:file "util")
               (:file "web")
               (:file "auth")
               (:file "command-line")
               (:file "seanut"))
  :entry-point "seanut::main"
  :build-operation "program-op"
  :build-pathname "bin/seanut")

#+sb-core-compression
(defmethod asdf:perform ((o asdf:image-op) (c asdf:system))
  (uiop:dump-image (asdf:output-file o c) :executable t :compression t))
